Description: Fix spelling/grammar errors found by lintian
Origin: vendor
Author: Alessandro Ghedini <al3xbio@gmail.com>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2015-10-17

--- a/dbiproxy.PL
+++ b/dbiproxy.PL
@@ -108,7 +108,7 @@
 =item B<--localaddr=ip>
 
 By default a daemon is listening to any IP number that a machine
-has. This attribute allows to restrict the server to the given
+has. This attribute allows one to restrict the server to the given
 IP number.
 
 =item B<--localport=port>
--- a/lib/DBI/ProxyServer.pm
+++ b/lib/DBI/ProxyServer.pm
@@ -474,7 +474,7 @@
 =item I<localaddr> (B<--localaddr=ip>)
 
 By default a daemon is listening to any IP number that a machine
-has. This attribute allows to restrict the server to the given
+has. This attribute allows one to restrict the server to the given
 IP number.
 
 =item I<localport> (B<--localport=port>)
--- a/lib/DBI/DBD.pm
+++ b/lib/DBI/DBD.pm
@@ -1826,7 +1826,7 @@
 login6 function to see if there are any Unicode characters in the
 dbname.
 
-Similarly defining dbd_db_do4_iv is prefered over dbd_db_do4, dbd_st_rows_iv
+Similarly defining dbd_db_do4_iv is preferred over dbd_db_do4, dbd_st_rows_iv
 over dbd_st_rows, and dbd_st_execute_iv over dbd_st_execute. The *_iv forms are
 declared to return the IV type instead of an int.
 
--- a/lib/DBI/DBD/SqlEngine.pm
+++ b/lib/DBI/DBD/SqlEngine.pm
@@ -1877,7 +1877,7 @@
   * AnyData
 
 Defaults to "CSV".  Because an SQL::Parser is instantiated only once and
-SQL::Parser doesn't allow to modify the dialect once instantiated,
+SQL::Parser doesn't allow one to modify the dialect once instantiated,
 it's strongly recommended to set this flag before any statement is
 executed (best place is connect attribute hash).
 
--- a/lib/DBI/DBD/SqlEngine/Developers.pod
+++ b/lib/DBI/DBD/SqlEngine/Developers.pod
@@ -560,7 +560,7 @@
   * AnyData
 
 Defaults to "CSV".  Because an SQL::Parser is instantiated only once and
-SQL::Parser doesn't allow to modify the dialect once instantiated,
+SQL::Parser doesn't allow one to modify the dialect once instantiated,
 it's strongly recommended to set this flag before any statement is
 executed (best place is connect attribute hash).
 
--- a/lib/DBI/DBD/SqlEngine/HowTo.pod
+++ b/lib/DBI/DBD/SqlEngine/HowTo.pod
@@ -127,7 +127,7 @@
 	};
 	$dbh->{foo_readonly_attrs} = {
 	    foo_version 	=> 1,	# ensure no-one modifies the driver version
-	    foo_valid_attrs	=> 1,	# do not permit to add more valid attributes ...
+	    foo_valid_attrs	=> 1,	# do not permit one to add more valid attributes ...
 	    foo_readonly_attrs	=> 1,	# ... or make the immutable mutable
 	    foo_manager		=> 1,	# manager is set internally only
 	};
@@ -234,7 +234,7 @@
 	};
 	$dbh->{foo_readonly_attrs} = {
 	    foo_version 	=> 1,	# ensure no-one modifies the driver version
-	    foo_valid_attrs	=> 1,	# do not permit to add more valid attributes ...
+	    foo_valid_attrs	=> 1,	# do not permit one to add more valid attributes ...
 	    foo_readonly_attrs	=> 1,	# ... or make the immutable mutable
 	    foo_manager		=> 1,	# manager is set internally only
 	    foo_meta            => 1,   # ensure public interface to modify table meta attributes are immutable
